Bug 1547500 - Review Request: python-jupyterlab - The JupyterLab notebook server extension
Summary: Review Request: python-jupyterlab - The JupyterLab notebook server extension
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
: 1842060 (view as bug list)
Depends On: 1547180
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-21 12:58 UTC by Miro Hrončok
Modified: 2021-01-08 21:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-29 11:35:11 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-02-21 12:58:08 UTC
This is a placeholder review request to let eveybody know I'm working on it. The package is far from ready, currently the tests fail very much and it doesn't work quite well without querying npm from the Internet.

The specfile is at https://github.com/hroncok/python-jupyterlab

If I'm blocking you by this, feel free to say so.

Comment 1 Lumír Balhar 2018-02-23 20:14:47 UTC
Crossed fingers. Let me know if you need any help. I am testing jupyter lab and it is a great piece of software.

Comment 2 Miro Hrončok 2018-02-24 12:52:48 UTC
Current issues:

 * failing tests
 * needs internet to build properly (I will examine the difference between package built with internet enabled/disabled and will figure out how serious is that)

Feel free to examine the failing  tests and send issues upstream (post links here) or PRs to the spec. I would appreciate any help.

Comment 3 Jens Petersen 2018-03-15 02:35:39 UTC
Just curious: does jupyterlab need jupyter?

Comment 4 Miro Hrončok 2018-03-15 09:11:24 UTC
It needs notebook.

Comment 5 Elliott Sales de Andrade 2019-03-05 07:54:41 UTC
Been about a year; any progress here?

Comment 6 Miro Hrončok 2019-03-05 08:45:41 UTC
(In reply to Jens Petersen from comment #3)
> Just curious: does jupyterlab need jupyter?

jupyterlab.


(In reply to Elliott Sales de Andrade from comment #5)
> Been about a year; any progress here?

Not really, sorry about that. If anybody want's to take over, please do.

Comment 7 Miro Hrončok 2019-03-05 08:47:30 UTC
(In reply to Miro Hrončok from comment #6)
> (In reply to Jens Petersen from comment #3)
> > Just curious: does jupyterlab need jupyter?
> 
> jupyterlab.


Ignore that part. I need my morning coffee.

Comment 8 José Matos 2019-03-05 11:26:58 UTC
Installing current jupyterlab with pip I get:

$ pip3 list --user
Package           Version
----------------- -------
jupyterlab        0.35.4 
jupyterlab-server 0.2.0  

By comparison last year (June) install had:
$ pip3 list --user
Package             Version
------------------- -------
jupyterlab          0.32.1 
jupyterlab-launcher 0.10.5 
orthopy             0.5.3  
pipdate             0.3.1  
pyprof2calltree     1.4.3

Comment 9 Lumír Balhar 2019-03-05 12:27:55 UTC
I did the same in a completely empty virtual environment (Python 3.7) and the result is this huge list of packages:

$ pip freeze
attrs==19.1.0
backcall==0.1.0
bleach==3.1.0
decorator==4.3.2
defusedxml==0.5.0
entrypoints==0.3
ipykernel==5.1.0
ipython==7.3.0
ipython-genutils==0.2.0
jedi==0.13.3
Jinja2==2.10
jsonschema==3.0.1
jupyter-client==5.2.4
jupyter-core==4.4.0
jupyterlab==0.35.4
jupyterlab-server==0.2.0
MarkupSafe==1.1.1
mistune==0.8.4
nbconvert==5.4.1
nbformat==4.4.0
notebook==5.7.4
pandocfilters==1.4.2
parso==0.3.4
pexpect==4.6.0
pickleshare==0.7.5
prometheus-client==0.6.0
prompt-toolkit==2.0.9
ptyprocess==0.6.0
Pygments==2.3.1
pyrsistent==0.14.11
python-dateutil==2.8.0
pyzmq==18.0.1
Send2Trash==1.5.0
six==1.12.0
terminado==0.8.1
testpath==0.4.2
tornado==6.0.1
traitlets==4.3.2
wcwidth==0.1.7
webencodings==0.5.1

And it seems that it also bundles semver.py.

I am willing to help because jupyterlab is my favorite tool. Is there anybody who would like to drive this effort and create some todo list?

Comment 10 Miro Hrončok 2019-03-05 12:53:05 UTC
I've stopped a year ago because the javascript needed internet to build.

Anyway, see this:

In [5]: for pkg, version in pypkgs:
   ...:     print(pkg, version)
   ...:     subprocess.run(('dnf', 'repoquery', '--repo=rawhide', '--whatprovides', f'python3dist({pkg.lower()})'), stderr=subprocess.DEVNULL)
   ...:     print()

attrs 19.1.0
python3-attrs-0:17.4.0-8.fc30.noarch

backcall 0.1.0
python3-backcall-0:0.1.0-5.fc30.noarch

bleach 3.1.0
python3-bleach-0:3.0.2-2.fc30.noarch

decorator 4.3.2
python3-decorator-0:4.3.0-2.fc30.noarch

defusedxml 0.5.0
python3-defusedxml-0:0.5.0-7.fc30.noarch

entrypoints 0.3
python3-entrypoints-0:0.2.3-11.fc30.noarch

ipykernel 5.1.0
python3-ipykernel-0:5.1.0-1.fc30.noarch

ipython 7.3.0
python3-ipython-0:7.2.0-2.fc30.noarch

ipython-genutils 0.2.0
python3-ipython_genutils-0:0.1.0-16.fc30.noarch

jedi 0.13.3
python3-jedi-0:0.12.1-3.fc30.noarch

Jinja2 2.10
python3-jinja2-0:2.10-7.fc30.noarch

jsonschema 3.0.1
python3-jsonschema-0:3.0.0~b3-2.fc30.noarch

jupyter-client 5.2.4
python3-jupyter-client-0:5.2.3-7.fc30.noarch

jupyter-core 4.4.0
python3-jupyter-core-0:4.4.0-7.fc30.noarch

jupyterlab 0.35.4

jupyterlab-server 0.2.0

MarkupSafe 1.1.1
python3-markupsafe-0:1.0-2.fc30.x86_64

mistune 0.8.4
python3-mistune-0:0.8.3-6.fc30.x86_64

nbconvert 5.4.1
python3-nbconvert-0:5.4.1-1.fc30.noarch

nbformat 4.4.0
python3-nbformat-0:4.4.0-6.fc30.noarch

notebook 5.7.4
python3-notebook-0:5.7.2-2.fc30.noarch

pandocfilters 1.4.2
python3-pandocfilters-0:1.4.1-7.fc30.noarch

parso 0.3.4
python3-parso-0:0.3.1-2.fc30.noarch

pexpect 4.6.0
python3-pexpect-0:4.6-3.fc30.noarch

pickleshare 0.7.5
python3-pickleshare-0:0.7.4-11.fc30.noarch

prometheus-client 0.6.0
python3-prometheus_client-0:0.5.0-1.fc30.noarch

prompt-toolkit 2.0.9
python3-prompt-toolkit-0:2.0.7-2.fc30.noarch

ptyprocess 0.6.0
python3-ptyprocess-0:0.6.0-4.fc30.noarch

Pygments 2.3.1
python3-pygments-0:2.2.0-15.fc30.noarch

pyrsistent 0.14.11
python3-pyrsistent-0:0.14.9-2.fc30.x86_64

python-dateutil 2.8.0
python3-dateutil-1:2.8.0-1.fc30.noarch

pyzmq 18.0.1
python3-zmq-0:17.0.0-4.fc30.x86_64

Send2Trash 1.5.0
python3-send2trash-0:1.4.2-7.fc30.noarch

six 1.12.0
python3-six-0:1.12.0-1.fc30.noarch

terminado 0.8.1
python3-terminado-0:0.8.1-9.fc30.noarch

testpath 0.4.2
python3-testpath-0:0.3.1-7.fc30.noarch

tornado 6.0.1
python3-tornado-0:5.0.2-5.fc30.x86_64

traitlets 4.3.2
python3-traitlets-0:4.3.2-8.fc30.noarch

wcwidth 0.1.7
python3-wcwidth-0:0.1.7-9.fc30.noarch

webencodings 0.5.1
python3-webencodings-0:0.5.1-7.fc30.noarch

Comment 11 Terje Røsten 2019-10-06 11:38:08 UTC
Hi Miro,

I did some additional work on this package.

First some required initial steps to get this working on Fedora 30:

 - built python-json5 or Fedora 30. See: https://bugzilla.redhat.com/show_bug.cgi?id=1757908
   rpm: https://terjeros.fedorapeople.org/jupyterlab/python3-json5-0.8.5-2.fc30.noarch.rpm
 - created package for jupyterlab-server:
   spec: https://terjeros.fedorapeople.org/jupyterlab/python-jupyterlab-server.spec
   srpm: https://terjeros.fedorapeople.org/jupyterlab/python-jupyterlab-server-1.0.6-1.fc30.src.rpm
   rpm:  https://terjeros.fedorapeople.org/jupyterlab/python3-jupyterlab-server-1.0.6-1.fc30.noarch.rpm

Then updated your spec with these changes:

  - 1.1.4
  - Add description
  - Less strict jupyterlab-launcher reqs
  - Minor clean up
  - Move artifacts to /usr/share/jupyter
  - Add desktop and appdata files, ship icon

  spec: https://terjeros.fedorapeople.org/jupyterlab/python-jupyterlab.spec
  srpm: https://terjeros.fedorapeople.org/jupyterlab/python-jupyterlab-1.1.4-1.fc30.src.rpm
  rpm: https://terjeros.fedorapeople.org/jupyterlab/python3-jupyterlab-1.1.4-1.fc30.noarch.rpm

Did some interactive testing, seems to work ok.

Do you still have an interest in this package?

Comment 12 Miro Hrončok 2019-10-06 12:39:56 UTC
I have interest, but I lack the time. Thanks for working on it. Feel free to open a new review request marking this one as duplicate, I'll gladly review the package.

Comment 13 Anatoli Babenia 2019-11-13 14:50:03 UTC
What is left to be done?

Comment 14 Miro Hrončok 2020-06-01 13:28:48 UTC
*** Bug 1842060 has been marked as a duplicate of this bug. ***

Comment 15 Miro Hrončok 2020-06-29 11:35:11 UTC
I am afraid that I won't get to this in any (even remotely) reasonable time. Sorry.

Comment 16 Filipe Brandenburger 2021-01-08 21:37:09 UTC
I'm working on bug 1913068 to try to get jupyterlab packaged (3.0.0 and 3.0.1 were just released last week.)

I'm starting with bug 1914450 to package python-jupyter-packaging, which is used in setup.py of recent jupyterlab releases.

Cheers,
Filipe


Note You need to log in before you can comment on or make changes to this bug.